/*
Header
*/

.header {

  /* Container for the header */
  &--wrap{}

  /* Upper half of the header*/
  &--line{
    @include clearfix;
  }

  &--left {
    @include wider-than(tablet) {
      @include span( 5, 12, 1rem );
    }

    @include wider-than(desktop) {
      @include span( 5, 12 );
    }
  }

  &--logo{
    width: 100%;
    text-align: center;
    display: none;

    // Limit the logo when it's on
    // mobile devices.
    @include not-wider-than(tablet) {
      max-width: 6rem;
    }

    @include wider-than(tablet) {
      @include span( 2, 12, 1rem );
      display: block;
      padding: 0.25rem 0;
    }

    @include wider-than(desktop) {
      @include span( 2, 12 );
    }

    &--mobile{
      display: inline-block;
      margin: 0 auto;
      width: 100%;
      text-align: center;
      line-height: 1;
      padding: 0.65rem;

      @include wider-than(tablet) {
        display: none;
      }
    }
  }

  &--account{
    @include wider-than(tablet) {
      @include span( 5, 12, 1rem, $last:true );
      text-align: right;
    }
    @include wider-than(desktop) {
      @include span( 5, 12, $last:true );
    }

    // Header has a new UL. Inline this and
    // cancel all margin/padding
    &--list {
      display: inline;
      margin: 0;
      padding: 0;
    }
  }



  /* Lower half of the header*/
  &--base{
    @include clearfix;
  }

  &--search{
    // Trigger
    .search--trigger{
      line-height: 1;
      padding: 0.65rem 0;
      text-decoration: none;
      color: $text;
      display: inline-block;

      position: absolute;
      top: 50%;
      left: 1.5rem;
      display: block;
      z-index: 10;
      transform: translateY(-50%);

      @include wider-than(tablet) {
        display: none;
      }
    }

    @include wider-than(tablet) {
      @include span( 3, 12 );
    }

    @include wider-than(tablet) {
      @include span( 2, 12, 1rem );
      margin-top: 0.5rem;
      margin-bottom: 0.5rem;
    }

    @include wider-than(desktop) {
      @include span( 2, 12 );
    }
  }

  &--navigation{
    @include wider-than(tablet) {
      @include span( 8, 12, 1rem );
      text-align: center;
    }

    @include wider-than(desktop) {
      @include span( 8, 12 );
    }

  }

  &--cart{
    @include wider-than(tablet) {
      float: right;
      text-align: right;
      margin-right: -1rem;
      line-height: 1;

      &--link{
        border-left: 1px solid white;
        border-right: 1px solid white;
      }


      &:hover {

        .header--cart--link{
          border-left: 1px solid $grey-line;
          border-right: 1px solid $grey-line;
          box-shadow: 0 4px 1px -1px white;
          position: relative;
          z-index: 20;
        }

        .header--cart--container{
          display: block;
        }
      }
    }
  }
}


/* Block level correction */

.header {
  border-bottom: 1px solid $grey-line;

  &:first-child{
    display: none;
    @include wider-than( tablet ){
      display: block;
    }
  }

  /* Container for the header */
  &--wrap{}

  /* Upper half of the header*/
  &--line{}

  &--usp {
    margin-left: 0;
    margin-top: 0;
    margin-bottom: 0;
    padding: 1rem 0;
    list-style: none;
    display: none;
    @include wider-than(tablet){
      display: inline-block;
    }

    &--item{
      display: inline-block;
      padding-right: 1rem;
      float: left;
      font-size: 0.875rem;
      padding-right: 1rem;
      width: auto;

      a{
        color: $text;
        text-decoration: none;
      }


      /* When shifting to a tablet device,
      we strip the three USPs down to one */
      @include not-wider-than(tablet) {
        & ~ & {
          display: none;
        }
      }
      @include not-wider-than(desktop) {
        & ~ & ~ & {
          display: none;
        }
      }
    }
  }

  &--logo{

    /* Desktop logo shows unlimited size */

    @at-root a.site-title {
      display: inline-block;
      text-transform: uppercase;
      font-weight: 600;
      text-decoration: none;
      color: $text;
      line-height: 3;

//       Used to be 6rem for the width of an image, but we stopped that.
//       img {
//         width: 6rem;
//         height: auto;
//       }
    }

    img{
      vertical-align: middle;
      width: 100%;
      height: auto;
      max-width: 100%;
      max-height: 100%;
    }

    /* Mobiles get to see a tiny logo */
    @include not-wider-than( tablet ) {
      a {
        display: inline-block;
        height: 4rem;
        text-align: center;
        margin: 0 auto;
      }
    }
  }

  &--account{
    margin: 0;
    padding: 1rem 0;
    list-style: none;
    display: none;
    @include wider-than(tablet){
      display: inline-block;
    }
    .menu-item,
    &--item{
      display: inline-block;

      @include wider-than(tablet){
        margin-left: 1rem;
      }

      a{
        color: $text;
        text-decoration: none;
      }

      &:first-of-type{
        margin-left: 0;
      }

      &:empty{
        display: none;
        margin: 0;
      }
    }

  }

  /* Lower half of the header*/
  &--base{}

  &--search{
  }

  &--navigation{}

}

// Mobile search
@at-root #search_for:target{
  & ~ .searchform{
    display: block;
  }
}


